/*
** An example of using text_replace for french LaTeX documents
*/

new;
library tools;

let string latex[13,2] =
                           ""  "\\`a"
                           ""  "\\^a"
                           ""  "\\'e"
                           ""  "\\`e"
                           ""  "\\^e"
                           ""  "\\\"e"
                           ""  "\\^\\i"
                           ""  "\\\"\\i"
                           ""  "\\^o"
                           ""  "\\\"\\o"
                           ""  "\\^u"
                           ""  "\\\"\\u"
                           ""  "\\c{c}";

call text_replace("celine.txt","celine.tex",latex);

outwidth 256;

output file = celine.out reset;

print "Example of text_replace for french LaTeX document";
print "-------------------------------------------------";
print;
print ">   ascii document:"; print;
call text_print("celine.txt");
print; print ">   LaTeX document:"; print;
call text_print("celine.tex");

output off;

