new;
library tools;

output file = tools3.out reset;

/* System I */

let A[3,3] =  1 1 1
              1 2 3
              1 0 1;
let b[3,1] =  3 6 2;
{x0,KerA} = Linear_Solve(A,b);

print "x0 = ";
print x0;
print;
print "ker(A) = ";
print KerA;
print "------------------------------------------------------------------";


/* System II */

let A[4,3] =  1 1 1
              1 2 3
             -1 2 3
              1 0 1;
let b[4,1] =  3 6 4 2;
{x0,KerA} = Linear_Solve(A,b);

print "x0 = ";
print x0;
print;
print "ker(A) = ";
print KerA;
print "------------------------------------------------------------------";

/* System III */

let A[4,3] =  1 1 1
              1 2 3
             -1 2 3
              1 0 1;
let b[4,1] =  3 6 5 2;
{x0,KerA} = Linear_Solve(A,b);

print "x0 = ";
print x0;
print;
print "ker(A) = ";
print KerA;
print "------------------------------------------------------------------";


/* System IV */

let A[3,4] =  1 1 1 1
              1 2 3 4
              1 0 1 0;
let b[3,1] =  4 10 2;
{x0,KerA} = Linear_Solve(A,b);

print "x0 = ";
print x0;
print;
print "ker(A) = ";
print KerA;
print;
print "Four other solutions:";
q = rndu(4,4);
x = x0 + kerA*q;
print x;
print "------------------------------------------------------------------";

/* System V */

A = rndn(5,8);
b = A*ones(8,1);
A = A|cumsumc(A);
b = b|cumsumc(b);
{x0,KerA} = Linear_Solve(A,b);

print "x0 = ";
print x0';
print ftos(Vnorm(A*x0-b),"Vector norm of A*x-b: %lf",3,5);
print;

q = ones(8,1);
x0 = x0 + kerA*q;
print "x0 = ";
print x0';
print ftos(Vnorm(A*x0-b),"Vector norm of A*x-b: %lf",3,5);
print;

q = ones(8,1);
x0 = x0 + kerA*q;
print "x0 = ";
print x0';
print ftos(Vnorm(A*x0-b),"Vector norm of A*x-b: %lf",3,5);
print "------------------------------------------------------------------";

/* System VI */

let A[3,4] =  1 1 1 0
              1 2 3 0
              1 0 1 0;
let b[3,1] =  3 6 2;
{x0,KerA} = Linear_Solve(A,b);

print "x0 = ";
print x0;
print;
print "ker(A) = ";
print KerA;
print "Four other solutions:";
q = rndu(4,4);
x = x0 + kerA*q;
print x;


output off;

